package com.tocea.easycoverage.annotations.synchronize;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 
 * This annotation specifies that a method in a {@link Synchronized} class does
 * not need to be synchronized.
 * 
 * @author Romain Delamare
 * 
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.METHOD })
public @interface NotSynchronized {

}
